Index: main/trunk/greenstone2/perllib/strings_es.properties
===================================================================
--- main/trunk/greenstone2/perllib/strings_es.properties	(revision 29975)
+++ main/trunk/greenstone2/perllib/strings_es.properties	(revision 29976)
@@ -148,5 +148,5 @@
 buildcol.updating_archive_cache:Actualizando el cachÃ©
 
-buildcol.verbosity:Los mandos la cantidad de rendimiento. El 0=ninguno, 3=muchos.
+buildcol.verbosity:Controla la cantidad de mensajes mostrados. El 0=ninguno, 3=muchos.
 
 
@@ -323,5 +323,5 @@
 import.stats_backup:ImprimirÃ¡ el stats en lugar de STDERR.
 
-import.verbosity:Controla la cantidad de output rendimiento. El 0=ninguno, 3=muchos.
+import.verbosity:Controla la cantidad de mensajes mostrados. 0=ninguno, 3=muchos.
 
 # -- csv-usernames-to-db.pl
@@ -592,5 +592,5 @@
 BasClas.removesuffix:Un sufijo que al clasificar se debe ignorar en los valores de los metadatos.
 
-BasClas.verbosity:Controla la cantidad de (output) rendimiento. 0=ninguno, 3=muchos.
+BasClas.verbosity:Controla la cantidad de mensajes mostrados. 0=ninguno, 3=muchos.
 
 Browse.desc:Clasificador falso que ofrece un enlace en la barra de navegaciÃ³n a un prototipo de pÃ¡gina que combina bÃºsqueda y exploraciÃ³n. SÃ³lo funciona con colecciones de MGPP, y sÃ³lo es Ãºtil para pequeÃ±as colecciones.
Index: main/trunk/greenstone3/web/WEB-INF/classes/GS2Construct_es.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/GS2Construct_es.properties	(revision 29975)
+++ main/trunk/greenstone3/web/WEB-INF/classes/GS2Construct_es.properties	(revision 29976)
@@ -1,3 +1,10 @@
 #the params used by the services
+param.collection:ColecciÃ³n
+param.creator:Email del creador
+param.collTitle:TÃ­tulo de la colecciÃ³n
+param.collAbout:DescripciÃ³n de la colecciÃ³n
+param.buildType:Tipo de construcciÃ³n
+param.buildType.mg:MG
+param.buildType.mgpp:MGPP
 
 #service names and submit buttons
@@ -25,8 +32,12 @@
 delete.configure_error:No se ha podido desactivar la colecciÃ³n {0} de la biblioteca.
 delete.delete_error:No se puede borrar {0}.
+delete.success:La colecciÃ³n {0} se borrÃ³ correctamente.
+delete.exists_error:La colecciÃ³n {0} no existe y no puede borrarse.
 
 #NewCollection######
+new.success:La colecciÃ³n {0} se creÃ³ satisfactoriamente.
 
 #ImportCollection#####
+import.success:La colecciÃ³n {0} se importÃ³ satisfactoriamente.
 
 #BuildCollection#####
@@ -41,4 +52,9 @@
 
 #ReloadCollection#####
+reload.success:La colecciÃ³n {0} fue recargada satisfactoriamente.
+reload.activate_error:No se pudo activar la colecciÃ³n {0} en la biblioteca.
 
 #general stuff
+general.process_id_error:ID de proceso invÃ¡lido.
+general.configure_constructor_error:No se pudo configurar el constructor de la colecciÃ³n.
+general.process_start:Iniciando proceso...
Index: main/trunk/greenstone3/web/WEB-INF/classes/GS2LuceneSearch_es.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/GS2LuceneSearch_es.properties	(revision 29976)
+++ main/trunk/greenstone3/web/WEB-INF/classes/GS2LuceneSearch_es.properties	(revision 29976)
@@ -0,0 +1,3 @@
+param.reverseSort:Orden inverso
+param.reverseSort.0:desactivado
+param.reverseSort.1:activado
Index: main/trunk/greenstone3/web/WEB-INF/classes/IViaSearch_es.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/IViaSearch_es.properties	(revision 29976)
+++ main/trunk/greenstone3/web/WEB-INF/classes/IViaSearch_es.properties	(revision 29976)
@@ -0,0 +1,7 @@
+#query params
+param.index.au:Autor
+param.index.ti:TÃ­tulo
+param.index.kw:Palabras claves
+param.index.su:Tema
+param.index.de:DescripciÃ³n
+param.index.fu:Texto completo
Index: main/trunk/greenstone3/web/WEB-INF/classes/LuceneSearch_es.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/LuceneSearch_es.properties	(revision 29976)
+++ main/trunk/greenstone3/web/WEB-INF/classes/LuceneSearch_es.properties	(revision 29976)
@@ -0,0 +1,5 @@
+TextQuery.name:Buscar
+TextQuery.submit:Buscar
+TextQuery.description:Un simple servicio de bÃºsqueda XML
+
+param.query:Ingrese su cadena de bÃºsqueda
Index: main/trunk/greenstone3/web/WEB-INF/classes/MapRetrieve_es.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/MapRetrieve_es.properties	(revision 29976)
+++ main/trunk/greenstone3/web/WEB-INF/classes/MapRetrieve_es.properties	(revision 29976)
@@ -0,0 +1,3 @@
+#service stuff
+MapRetrieve.name:Mapas recuperados
+DocumentMetadataRetrieve.name:Documentos recuperados
Index: main/trunk/greenstone3/web/WEB-INF/classes/MapSearch_es.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/MapSearch_es.properties	(revision 29976)
+++ main/trunk/greenstone3/web/WEB-INF/classes/MapSearch_es.properties	(revision 29976)
@@ -0,0 +1,4 @@
+#service stuff
+TextQuery.name:BÃºsqueda en mapa
+TextQuery.description:Buscar por lugares en mapas
+TextQuery.submit:Buscar
Index: main/trunk/greenstone3/web/WEB-INF/classes/PhindPhraseBrowse_es.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/PhindPhraseBrowse_es.properties	(revision 29976)
+++ main/trunk/greenstone3/web/WEB-INF/classes/PhindPhraseBrowse_es.properties	(revision 29976)
@@ -0,0 +1,2 @@
+PhindApplet.name:Navegar frases
+PhindApplet.description:Applet de Java que le permite ver jerarquÃ­as de frases extraidas
Index: main/trunk/greenstone3/web/WEB-INF/classes/SharedSoleneGS2FieldSearch_es.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/SharedSoleneGS2FieldSearch_es.properties	(revision 29976)
+++ main/trunk/greenstone3/web/WEB-INF/classes/SharedSoleneGS2FieldSearch_es.properties	(revision 29976)
@@ -0,0 +1,3 @@
+param.sortBy:Ordenar resultados de bÃºsqueda por
+param.sortBy.rank:ranking
+param.sortBy.none:orden de construcciÃ³n
Index: main/trunk/greenstone3/web/WEB-INF/classes/interface_default2_es.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/interface_default2_es.properties	(revision 29975)
+++ main/trunk/greenstone3/web/WEB-INF/classes/interface_default2_es.properties	(revision 29976)
@@ -0,0 +1,34 @@
+# This properties file is for the secondary text strings, not the main stuff
+##################
+# help page
+##################
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+#############################
+# Document structure editor #
+#############################
+
+###################
+# DebugInfo  #
+###################
+debuginfo.skindoc:Simplified Skin XSL with Expanded GSF statements appended.
+debuginfo.skinandlib:Un documento XML con un elemento raÃ­z llamado kinAndLibraryXsl y dos hijos: skinXsl y libraryXsl. El libraryXsl, el cual contiene util.xsl, es simplemente agregado.
+debuginfo.skinandlibdoc:El resultado de aplicar preprocess.xsl a skinandlib produce esta plantilla de estilo la cual es el documento XSL final que serÃ¡ aplicado al XML devuelto por el ruteador de mensajes.
+debuginfo.formatedit:Editor de interfaz web para la ediciÃ³n de cadena de formateo Greenstone 3.
+debuginfo.refreshconfig:Actualizar todos los archivos de configuraciÃ³n de las colecciones:
+debuginfo.reconfigsite:Reconfigura el sitio entero. Lee el archivo siteConfig.xml y recarga todas las colecciones.
+debuginfo.depositor:Acumulador Greenstone 3: herramienta en lÃ­nea que permite agregar o depositar nuevos archivos junto a sus metadatos a una colecciÃ³n ya existente. La colecciÃ³n puede reconstruirse al momento.
+debuginfo.inlinetemplate:Plantilla en linea. Escriba o pegue su XSLT aquÃ­.
+debuginfo.displaymetadata:Mostrar metadatos.
Index: main/trunk/greenstone3/web/WEB-INF/classes/interface_default_es.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/interface_default_es.properties	(revision 29975)
+++ main/trunk/greenstone3/web/WEB-INF/classes/interface_default_es.properties	(revision 29976)
@@ -1,31 +1,82 @@
 #***** IMAGE URLS *****
+expand_image:interfaces/__INTERFACE_NAME__/images/expand.png
+collapse_image:interfaces/__INTERFACE_NAME__/images/collapse.png
+page_image:interfaces/__INTERFACE_NAME__/images/page.png
+chapter_image:interfaces/__INTERFACE_NAME__/images/chapter.png
+realistic_books_image:interfaces/__INTERFACE_NAME__/images/rbook.png
+slideshow_image:interfaces/__INTERFACE_NAME__/images/slideshow.png
+highlight_image:interfaces/__INTERFACE_NAME__/images/hl.png
+bookshelf_image:interfaces/__INTERFACE_NAME__/images/bookshelf.png
+book_image:interfaces/__INTERFACE_NAME__/images/book.png
+loading_image:interfaces/__INTERFACE_NAME__/images/loading.gif
+page_icon_image:interfaces/__INTERFACE_NAME__/images/itext.gif
+trash_full_image:interfaces/__INTERFACE_NAME__/images/trash-full.png
+trash_empty_image:interfaces/__INTERFACE_NAME__/images/trash-empty.png
+blank_image:interfaces/__INTERFACE_NAME__/images/blankImage.png
+next_image:interfaces/__INTERFACE_NAME__/images/next.png
+prev_image:interfaces/__INTERFACE_NAME__/images/previous.png
+zoom_image:interfaces/__INTERFACE_NAME__/images/zoom.png
+left_arrow_image:interfaces/__INTERFACE_NAME__/images/leftarrow.png
+float_toc_image:interfaces/__INTERFACE_NAME__/images/floattoc.png
+green_bug_image:interfaces/__INTERFACE_NAME__/images/GB.png
 
 #***** TEXT FRAGMENTS *****
 gsdl:Programa de la Biblioteca Digital Greenstone
+gs3power:desarrollado con greenstone3
+error:Error:
+hide_error:Ocultar error
+show_error:Mostrar error
 # the buttons
 home_b:PRINCIPAL
 help_b:AYUDA
 pref_b:PREFERENCIAS
+debuginfo_b:InformaciÃ³n de debug
+login_b:Ingresar
 # tool tips for the buttons
 home_tip:PÃ¡gina Principal
 help_tip:PÃ¡gina de ayuda
 pref_tip:Cambio de preferencias
+debuginfo_tip:Mostrar opciones de depuraciÃ³n
+login_tip:Ingresar
+aboutpage:PÃ¡gina Acerca de
+home.quick_search:BÃºsqueda rÃ¡pida
+home.librarian_interface:Interfaz del bibliotecario
+home.select_a_collection:Seleccione una colecciÃ³n
+home.no_collections:Esta biblioteca no contiene colecciones
 
 ######################
 # system page
 #######################
+system.title:Pedido al sistema
 ######################
 # about page
 #######################
+about.noservices:No hay servicios disponibles para esta colecciÃ³n
+about.services:Servicios extra disponibles:
+about.servicehelp:Puede acceder a los servicios seleccionando los botones debajo o en los nombres en la barra de navegaciÃ³n. La barra de navegaciÃ³n es persistente a travÃ©s de todas las pÃ¡ginas de la colecciÃ³n.
 
 #######################
 # query page
 ########################
+query:Buscar
 query.nodocsmatch:No hay documentos que correspondan a la consulta.
 query.onedocsmatch:1 documento corresponde a la consulta.
+query.manydocsmatch:{0-numdocs} {1-level-plural} coinciden con la consulta.
+query.atleastdocsmatch:Por lo menos {0-numdocs} {1-level-plural} coinciden con la bÃºsqueda.
+query.docsreturned:{0-numdocs} {1-level-plural} retornados.
 
+query.termoccurs.1.1:{0-term} aparece {1-termfreq} vez
+query.termoccurs.x.1:{0-term} aparecen {1-termfreq} veces
+query.termoccurs.x.x:{0-term} aparecen {1-termfreq} veces
+query.termSectionFreq:en {0-numdocs} {1-level-plural}
+query.document:documento
+query.document_plural:documentos
+query.section:secciÃ³n
+query.section_plural:secciones
 
 # eg Displaying 1 to 20 of 42 sections/documents
+query.displayingnumdocs:Mostrando {0-startnum} a {1-endnum} de {2-totalnum} {3-level-plural}
 
+query.common:Los siguientes tÃ©rminos son muy comunes y han sido excluÃ­dos de la bÃºsqueda:
 
 ##################
@@ -36,14 +87,43 @@
 pref.interfacelang:Idioma de la interfaz:
 pref.encoding:CodificaciÃ³n:
+pref.hitsperpage:NÃºmero de hits por pÃ¡gina:
+pref.maxDocs:NÃºmero mÃ¡ximo de documentos a recuperar:
+pref.all:todo
 pref.set_prefs:fijar preferencias
+pref.set_prefs_help:Selecciones "Fijar preferencias" si desea guardar los cambios.
+pref.berrybasket:Canasta
+pref.berrybasket.on:activada
+pref.berrybasket.off:desactivada
+pref.book:Modo vista libro:
+pref.formatedit:Modo ediciÃ³n de formato
+pref.formatedit.on:activado
+pref.formatedit.off:desactivado
+pref.theme:Tema visual
 
 ##################
 # document page
 ##################
+doc.loading:cargando
+doc.filter_pages:Filtrar pÃ¡ginas
 
+doc.edit_content:Editar contenido
+doc.hide_editor:Esconder editor
+doc.edit_structure:Editar estructura
 
+doc.highlightTooltip:Habilitar/deshabilitar relastado de palabras de bÃºsqueda
+doc.realisticBooksTooltip:Habilitar o deshabilitar la vista Realistic Book
+doc.zoomTooltip:Habilitar o deshabilitar zoom de imÃ¡genes en la vista estÃ¡ndar
+doc.slideshowTooltip:Ver carrete de imÃ¡genes
+doc.floatingTooltip:Fijar la tabla de contenidos en el margen derecho de la pantalla
 
+doc.document:Documento
+doc.back_to_top:volver al inicio
 
+doc.maps.nearby_docs:Mostrar documentos cerca de aquÃ­
+maps.scrolllabel:Navegar entre lugares
 
+external.title:Enlace externo
+external.text:El enlace seleccionado es externo a cualquiera de las colecciones elegidas. Si todavÃ­a desea ver este enlace  y su navegador tiene acceso a Internet, puede {0-go-forward-link} a esta pÃ¡gina, de otra manera, use el botÃ³n "Retroceder" de su navegador para volver al documento previo.
+external.go_forward:avanzar
 
 
@@ -51,4 +131,33 @@
 # authentication page
 ##################
+authen.username:Nombre de usuario
+authen.page_not_found:PÃ¡gina no encontrada
+authen.submit:Enviar
+authen.error_failed_to_add:Error: fallo al agregar el usuario
+authen.user_added_success:Usuario agregado satisfactoriamente
+authen.status:Estado
+authen.password:Clave
+authen.account_status:Estado de la cuenta
+authen.enabled:habilitado
+authen.disabled:deshabilitado
+authen.groups:Grupos
+authen.add_group:Agregar un grupo
+authen.comment:Comentarios
+authen.email:DirecciÃ³n de mail
+authen.add_a_new_user_title:Agregar un Nuevo usuario
+authen.old_password:Clave anterior
+authen.new_password:Nueva clave
+authen.retype_password:Reescribir clave
+authen.edit_user_information:Editar informaciÃ³n del usuario
+authen.list_of_current_users_title:Listado de usuarios actuales
+authen.delete_warning:EstÃ¡ seguro de borrar el usuario?
+authen.edit:Editar
+authen.delete:Borrar
+authen.authentication:PÃ¡gina de administraciÃ³n
+authen.add_a_new_user:Agregar un nuevo usuario
+authen.register:Registrar
+authen.account_settings:Propiedades de la cuenta
+authen.change_password:Cambiar clave
+authen.reset_password:Cambiar clave
 
 
@@ -57,2 +166,5 @@
 # Document basket #
 ###################
+db.doc_basket:Canasta de documentos
+db.access_denied:Acceso denegado
+db.no_collection_building:No puede usar esta caracterÃ­stica de Greenstone ya que no tiene habilitada la construcciÃ³n de la colecciÃ³n