Index: /main/trunk/model-sites-dev/respooled/collect/popup-video-respooled/js/audiosynth.view.js
===================================================================
--- /main/trunk/model-sites-dev/respooled/collect/popup-video-respooled/js/audiosynth.view.js	(revision 29979)
+++ /main/trunk/model-sites-dev/respooled/collect/popup-video-respooled/js/audiosynth.view.js	(revision 29980)
@@ -325,6 +325,11 @@
 	}
 
+
 	if (e.shiftKey) {
 	    return fnDrumKeyboard(e);
+	}
+
+	if (e.altKey) {
+	    return fnGuitarKeyboard(e);
 	}
 	
@@ -484,18 +489,18 @@
 
     var fnDrumKeyboard = function(e) {
-	//console.log("*** drum pressed: " + e.key);
-	if (e.key == "C") {
+	console.log("*** drum pressed keyCode: " + e.keyCode);
+	if (e.keyCode == "C".charCodeAt(0)) {
 	    $('#drum1').trigger("mousedown");
 	}
-	else if (e.key == "V") {
+	else if (e.keyCode == "V".charCodeAt(0)) {
 	    $('#drum2').trigger("mousedown");
 	}
-	else if (e.key == "B") {
+	else if (e.keyCode == "B".charCodeAt(0)) {
 	    $('#drum3').trigger("mousedown");
 	}
-	else if (e.key == "N") {
+	else if (e.keyCode == "N".charCodeAt(0)) {
 	    $('#drum4').trigger("mousedown");
 	}
-	else if (e.key == "M") {
+	else if (e.keyCode == "M".charCodeAt(0)) {
 	    $('#drum5').trigger("mousedown");
 	}
@@ -504,4 +509,38 @@
 	return true; // let other things outside of this piano/drum chain (such as the customGuitar input) see the event
     }
+
+
+
+
+
+    var fnGuitarKeyboard = function(e) {
+	console.log("*** guitar pressed keycode: " + e.keyCode);
+	if (e.keyCode == "Q".charCodeAt(0)) {
+	    $('#offscreen-jtab-chord-0').trigger("click");
+	}
+	else if (e.keyCode == "W".charCodeAt(0)) {
+	    $('#offscreen-jtab-chord-3').trigger("click");
+	}
+	else if (e.keyCode == "E".charCodeAt(0)) {
+	    $('#offscreen-jtab-chord-6').trigger("click");
+	}
+	else if (e.keyCode == "R".charCodeAt(0)) {
+	    $('#offscreen-jtab-chord-7').trigger("click");
+	}
+	else if (e.keyCode == "T".charCodeAt(0)) {
+	    $('#offscreen-jtab-chord-10').trigger("click");
+	}
+	else if (e.keyCode == "Y".charCodeAt(0)) {
+	    $('#offscreen-jtab-chord-13').trigger("click");
+	}
+	else if (e.keyCode == "U".charCodeAt(0)) {
+	    $('#offscreen-jtab-chord-16').trigger("click");
+	}
+
+
+	e.preventDefault();
+	return true; // let other things outside of this piano/guitar chain see the event
+    }
+
 
 
Index: /main/trunk/model-sites-dev/respooled/collect/popup-video-respooled/js/game-on.js
===================================================================
--- /main/trunk/model-sites-dev/respooled/collect/popup-video-respooled/js/game-on.js	(revision 29979)
+++ /main/trunk/model-sites-dev/respooled/collect/popup-video-respooled/js/game-on.js	(revision 29980)
@@ -223,9 +223,12 @@
 		    var base_ctime = track_block.baseCTime;
 		    
+		    var track_fill = track_block.fill;
+		    var track_fillbackground = track_block.fillBackground;
+
 		    var block_events = track_block.events;
 		    
 		    var block_min_midi_pitch = num_midi_pitches-1;
 		    var block_max_midi_pitch = 0;
-
+		    
 		    var block_events_len = block_events.length; 
 		    for (var ne=0; ne<block_events_len; ne++) {
@@ -244,5 +247,6 @@
 			//rect.attr({stroke:"none", strokeWidth:0.2, fill:"#2E52A4"});
 			//rect.attr({stroke:"black",fill:"#2E52A4"});
-			rect.attr({"stroke":"black","stroke-width":0.25, "fill":"#2E52A4"});
+			var fill = note_event.fill || track_fill || "#2E52A4";
+			rect.attr({"stroke":"black","stroke-width":0.25, "fill":fill});
 			go_top_level_group.push(rect);
 
@@ -259,6 +263,6 @@
 		    var last_event = block_events[block_events_len-1];
 		    var last_note_off = last_event.midiNoteOff;
-		    var block_duration = (base_ctime + last_note_off)/1000.0;
-
+		    var block_duration = (base_ctime + last_note_off)/1000.0
+;
 		    var block_x_org = (base_ctime/total_duration) * go_paper_x_dim;
 		    var block_x_dim = (block_duration/total_duration) * go_paper_x_dim;
@@ -269,5 +273,6 @@
 		    if (gs.xsltParams.interface_name != "respooled") {
 			var block_rect = goPaper.rect(block_x_org-1,block_y_org-1,block_x_dim+2,block_y_dim+2); // fudge factor!
-			block_rect.attr({"stroke":"none", "stroke-width":0, "fill":"rgba(46, 82, 164, 0.5)"});
+			var fillbackground = track_fillbackground || "rgba(46, 82, 164, 0.5)";
+			block_rect.attr({"stroke":"none", "stroke-width":0, "fill":fillbackground});
 			
 			var block_tip = track_block.name;
Index: /main/trunk/model-sites-dev/respooled/collect/popup-video-respooled/transform/pages/document.xsl
===================================================================
--- /main/trunk/model-sites-dev/respooled/collect/popup-video-respooled/transform/pages/document.xsl	(revision 29979)
+++ /main/trunk/model-sites-dev/respooled/collect/popup-video-respooled/transform/pages/document.xsl	(revision 29980)
@@ -1948,48 +1948,16 @@
 
 	    <gsf:div id="mytab" style="display:inline-block; heightXX: 130px; width: 780px;">
-	      <gsf:div id="scaled-mytab" widthXX="2000px" heightXX="300px">
-		
-
-<!--		
-		<gsf:div id="offscreen-jtab-chord-0" class="chordLineupBlock"/>
-		  
-		<div class="chordLineupBlock">
-		  <gsf:div id="offscreen-jtab-chord-1"/>
-		  <gsf:div id="offscreen-jtab-chord-2"/>
-		</div>
-		
-		<gsf:div id="offscreen-jtab-chord-3" class="chordLineupBlock"/>
-		
-		<div class="chordLineupBlock">
-		  <gsf:div id="offscreen-jtab-chord-4"/>
-		  <gsf:div id="offscreen-jtab-chord-5"/>
-		</div>
-		
-		<gsf:div id="offscreen-jtab-chord-6" class="chordLineupBlock"/>
-		<gsf:div id="offscreen-jtab-chord-7" class="chordLineupBlock"/>
-		
-		<div class="chordLineupBlock">
-		  <gsf:div id="offscreen-jtab-chord-8"/>
-		  <gsf:div id="offscreen-jtab-chord-9"/>
-		</div>
-		
-		<gsf:div id="offscreen-jtab-chord-10" class="chordLineupBlock"/>
-		  
-		<div class="chordLineupBlock">
-		  <gsf:div id="offscreen-jtab-chord-11"/>
-		  <gsf:div id="offscreen-jtab-chord-12"/>
-		</div>
-		
-		<gsf:div id="offscreen-jtab-chord-13" class="chordLineupBlock"/>
-		
-		<div class="chordLineupBlock">
-		  <gsf:div id="offscreen-jtab-chord-14"/>
-		  <gsf:div id="offscreen-jtab-chord-15"/>
-		</div>
-		
-		<gsf:div id="offscreen-jtab-chord-16" class="chordLineupBlock"/>		
--->
-
-	      </gsf:div>
+	      <gsf:div id="scaled-mytab" widthXX="2000px" heightXX="300px"/>
+	      <gsf:div style="font-style:italic">
+		<p style="font-size:85%;">
+		  Keyboard shortcuts: Alt + Q-U. Changes selected chord, matched to be the same as the piano shortcuts.
+		</p>
+<!--
+		<p>
+		  C=Alt-Q, D=Alt-W, ... B=Alt-U; C#/Db=Alt-2, D#/Eb=Alt-3, ...
+		</p>
+-->
+
+	      </gsf:div> 
 	      <gsf:div id="addCustomChord" style="display:none;">
 		<input id="addCustomChordText" type="text" size="10"/>
@@ -2102,25 +2070,4 @@
 
    
-
-/*
-            $('#offscreen-jtab-chord-0').click(function(e) { chordChange('0') });
-            $('#offscreen-jtab-chord-1').click(function(e) { chordChange('1') });
-            $('#offscreen-jtab-chord-2').click(function(e) { chordChange('2') });
-            $('#offscreen-jtab-chord-3').click(function(e) { chordChange('3') });
-            $('#offscreen-jtab-chord-4').click(function(e) { chordChange('4') });
-            $('#offscreen-jtab-chord-5').click(function(e) { chordChange('5') });
-            $('#offscreen-jtab-chord-6').click(function(e) { chordChange('6') });
-            $('#offscreen-jtab-chord-7').click(function(e) { chordChange('7') });
-            $('#offscreen-jtab-chord-8').click(function(e) { chordChange('8') });
-            $('#offscreen-jtab-chord-9').click(function(e) { chordChange('9') });
-            $('#offscreen-jtab-chord-10').click(function(e) { chordChange('10') });
-            $('#offscreen-jtab-chord-11').click(function(e) { chordChange('11') });
-            $('#offscreen-jtab-chord-12').click(function(e) { chordChange('12') });
-            $('#offscreen-jtab-chord-13').click(function(e) { chordChange('13') });
-            $('#offscreen-jtab-chord-14').click(function(e) { chordChange('14') });
-            $('#offscreen-jtab-chord-15').click(function(e) { chordChange('15') });
-            $('#offscreen-jtab-chord-16').click(function(e) { chordChange('16') });
-*/
-
 	    $('#scaled-mytab').append($('#offscreen-jtab-chord-lineup'));
 