Index: main/trunk/greenstone3/web/WEB-INF/classes/interface_default2_es.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/interface_default2_es.properties	(revision 29976)
+++ main/trunk/greenstone3/web/WEB-INF/classes/interface_default2_es.properties	(revision 30017)
@@ -4,24 +4,83 @@
 ##################
 
+help.findinginformationtitle:<h2>CÃ³mo encontrar informaciÃ³n en la colecciÃ³n {0}</h2>
+help.findinginformation:Existen {0} maneras de encontrar informaciÃ³n en esta colecciÃ³n:
+help.browsedesc:ver documentos por <i>{0}</i> al seleccionar el botÃ³n <i>{0}</i>
 
 
+help.openbookshelf:Abrir este estante
 
 
+help.querytermstitle:<h3>TÃ©rminos de bÃºsqueda</h3>
+help.queryterms:<p>Todo lo que se escriba en el recuadro de bÃºsqueda es interpretado como una lista de palabras o frases. \
+llamada "tÃ©rminos de bÃºsqueda". Un tÃ©rmino es una palabra simple conteniendo solo letras y dÃ­gitos, o una frase \ consistente de una secuencia de palabras encerradas entre comillas dobles ("..."). \ Los tÃ©rminos estÃ¡n separados por espacios en blanco. \
+Si aparecen otros caracteres como signos de puntuaciÃ³n, Ã©stos sirven para separar tÃ©rminos al igual que los espacios, \
+y son ignorados. No pueden hacerse bÃºsquedas por palabras que incluyan puntuaciÃ³n.</p> \
+<p>Por ejemplo, la consulta</p> \
+<ul><kbd>Agro-forestry in the Pacific Islands: Systems for Sustainability (1993)</kbd></ul> \
+<p>serÃ¡ tratada al igual que</p> \
+<ul><kbd>Agro forestry in the Pacific Islands  Systems for Sustainability  1993 </kbd></ul>
 
 
+help.queryscopetitle:<h3>Alcance de las bÃºsquedas</h3>
+help.queryscope:<p>En la mayorÃ­a de las colecciones se puede optar por diferentes Ã­ndices de bÃºsqueda. Por ejemplo, \ podrÃ­a haber Ã­ndices por autor o por tÃ­tulos. O quizÃ¡s Ã­ndices por capÃ­tulos o pÃ¡rrafos. Por lo general, \ se recupera el documento entero sin importar por cual Ã­ndice se ha buscado.</p> \ <p>Si los documentos son libros, entonces se abrirÃ¡n en el lugar apropiado.</p>
+
+help.changingpreferencestitle:<h2>Cambiando sus preferencias</h2>
+help.changingpreferences:<p>Cuando selecciona el botÃ³n <i>PREFERENCIAS</i> en la parte superior de la pÃ¡gina \ podrÃ¡ cambiar algunas opciones de la interfaz para ajustarla a sus requerimientos.</p>
+
+help.collectionpreferencestitle:<h3>Preferencias de la colecciÃ³n</h3>
+help.collectionpreferences:<p>Algunas colecciones incluyen varias subcolecciones, sobre las que se podrÃ¡ buscar \ en forma independiente o grupal como una unidad. para ello, \ podrÃ¡ seleccionar que subcolecciones incluir en las bÃºsquedas en la pÃ¡gina de Preferencias.</p>
+
+help.languagepreferencestitle:<h3>Preferencias de idioma</h3>
+help.languagepreferences:<p>Cada colecciÃ³n tiene un lenguaje de presentaciÃ³n por defecto, pero puede \ cambiarlo a uno diferente si lo quisiera. TambiÃ©n puede alterar el esquema de codificaciÃ³n \ usado por Greenstone para generar las salidas para el navegador. -- el software elige \ valores predeterminados pero con algunos navegadores puede ser necesario cambiar a un esquema de codificaciÃ³n \ distinto para garantizar una correcta visualizaciÃ³n de los caracteres. Todas las colecciones permiten cambiar de la interfaz grÃ¡fica por defecto a una interfaz textual. \ Esto es particularmente Ãºtil para personas con discapacidad visual que utilizan letras grandes de pantalla o sintetizadores de texto.</p>
+
+help.presentationpreferencestitle:<h3>Preferencias de presentaciÃ³n</h3>
+help.presentationpreferences:<p>Dependiendo de cada colecciÃ³n en particular, \ existen varias opciones que pueden configurarse para control la presentaciÃ³n visual. </p> \ <p>Las colecciones de pÃ¡ginas web permiten suprimir la barra de navegaciÃ³n de Greenstone en la parte superior de cada pÃ¡gina de documento, \ de manera que luego de hacer una bÃºsqueda se visualiza la pÃ¡gina web exacta sin ningÃºn encabezado de Greenstone. \ Para hacer otra bÃºsqueda se deberÃ¡ usar el botÃ³n "Retroceder" del navegador. Estas colecciones tambiÃ©n permiten suprimir \ el mensaje de aviso de que se estÃ¡ accediendo a un enlace externo. TambiÃ©n, en algunas colecciones web se puede controlar si los links en la pÃ¡gina de resultados nos llevan a la pÃ¡gina original en vez de a la copia de la pÃ¡gina administrada por Greenstone. </p>
 
 
-
-
-
-
+help.mgsearchpreferences:<p>Un par de botones controlan si deben coincidir mayÃºsculas y minÃºsculas al buscar. \ Por ejemplo, si se selecciona "ignorar mayÃºsculas", snail farming va a ser tratado igual que Snail Farming o que SNAIL FARMING .</p>
 
 #############################
 # Document structure editor #
 #############################
+dse.no_docs:No hay documentos en la Canasta de documentos
+dse.untitled:DOCUMENTO SIN TITULO
+dse.delete_section:borrar secciÃ³n
+dse.edit:editar
+dse.hide:ocultar
+dse.add_sub_section:agregar sub-secciÃ³n
+dse.duplicate:duplicar
+dse.error_saving:Hubo un error al grabar, cancelando
+dse.save_changes:Grabar cambios
+dse.saving:Grabando
+dse.modifying_archives:Modificando archivos de archive
+dse.empty_collection_list:La lista de colecciones a construir estÃ¡ vacÃ­a.
+dse.could_not_build_p1:No se pudo construir la colecciÃ³n
+dse.could_not_build_p2:, cancelando el proceso de construcciÃ³n
+dse.could_not_activate_p1:No se pudo activar la colecciÃ³n
+dse.could_not_activate_p2:, cancelando el proceso de activaciÃ³n
+dse.activating:Activando la colecciÃ³n
+dse.building:Construyendo la colecciÃ³n
+dse.could_not_check_status_p1:No se puede chequear el estado de
+dse.could_not_check_status_p2a:, hay un error en el XML, cancelando la operaciÃ³n
+dse.could_not_check_status_p2b:, hay un error en el servidor, cancelando la operaciÃ³n
+dse.error_saving_changes:Hubo un error al grabar los cambios
+dse.error_code:CÃ³digo de error
+dse.error_reason:Motivo del error
+dse.error_line:Linea del error
+dse.xml_error:Hubo un error al analizar el XML
+dse.browse_cannot_validate_xml:Su navegador no puede manipular validaciÃ³n XML
+dse.add_new_metadata:Agregar nuevos medatatos
+dse.no_value_given:No se ingresÃ³ ningÃºn valor para el nuevo metadato
+dse.create_new_document:Crear nuevo documento
+dse.untitled_section:SECCION SIN TITULO
+dse.insert_new_section:Inserte nueva secciÃ³n
 
 ###################
 # DebugInfo  #
 ###################
+debuginfo.usage:Al hacer debug sobre el XSLT, puede anexar cualquiera de los siguientes a la URL (con el prefijo & o ? segÃºn corresponda) para ver el XML intermedio que se genera.
+debuginfo.xml:Muestra la informaciÃ³n plana proveniente del Message Router.
+debuginfo.xmlfinal:Muestra la informaciÃ³n proveniente del Message Router despuÃ©s de la segunda pasada config_format.
 debuginfo.skindoc:Simplified Skin XSL with Expanded GSF statements appended.
 debuginfo.skinandlib:Un documento XML con un elemento raÃ­z llamado kinAndLibraryXsl y dos hijos: skinXsl y libraryXsl. El libraryXsl, el cual contiene util.xsl, es simplemente agregado.