Index: main/trunk/gli/help/ja/help.xml
===================================================================
--- main/trunk/gli/help/ja/help.xml	(revision 24206)
+++ main/trunk/gli/help/ja/help.xml	(revision 30018)
@@ -330,5 +330,8 @@
 </Title>
 <Text id="105">ãã®ç¯ã§ã¯ã©ã®ããã«ä»¥åå²ãåœãŠãããã¡ã¿ããŒã¿ãã€ã³ããŒãããããèšè¿°ããŸãïŒã³ã¬ã¯ã·ã§ã³ã«è¿œå ãããåã«ãã­ã¥ã¡ã³ãã«å²ãåœãŠãããã¡ã¿ããŒã¿ã</Text>
-<Text id="106">ããã©ã€ãã©ãªã¢ã³ã»ã€ã³ã¿ãŒãã§ãŒã¹ã§èªè­ã§ããåœ¢åŒã®ã¡ã¿ããŒã¿ãä»¥åã«ãã¡ã€ã«ã«å²ãåœãŠãããŠãããªãã-ããšãã°ãæ¢å­ã®ã°ãªãŒã³ã¹ããŒã³ã®ã³ã¬ã¯ã·ã§ã³ãããã­ã¥ã¡ã³ããéžæãããšã-ãã¡ã€ã«ãè¿œå ãããšèªåçã«å²ãåœãŠãããŸãããã®äœæ¥­ãè¡ããšãã¡ã¿ããŒã¿ã¯ã³ã¬ã¯ã·ã§ã³ã§å©çšã§ããã¡ã¿ããŒã¿ã»ããã«ãããã³ã°ãããªããã°ãªããŸããã</Text>
+<Text id="106">ããã©ã€ãã©ãªã¢ã³ã»ã€ã³ã¿ãŒãã§ãŒã¹ã§èªè­ãããåœ¢åŒã®å²ãåœãŠãããã¡ã¿ããŒã¿ããã¡ã€ã«ã«å­åšããŠããïŒããšãã°ãã­ã¥ã¡ã³ããšåããã©ã«ããŒå
+ã®metadata.xmlãã¡ã€ã«å
+ïŒ ãªãã-ããšãã°ãæ¢å­ã®ã°ãªãŒã³ã¹ããŒã³ã®ã³ã¬ã¯ã·ã§ã³ãããã­ã¥ã¡ã³ããéžæããé-ãã¡ã€ã«ãïŒæ°èŠã®ïŒã³ã¬ã¯ã·ã§ã³ã«è¿œå ããã°ã¡ã¿ããŒã¿ã¯èªåçã«å²ãåœãŠãããŸããã°ãªãŒã³ã¹ããŒã³ã¯metadata.xml ãã¡ã€ã«ãèªè­ãïŒãã®ãã¡ã€ã«ã¯ã³ã¬ã¯ã·ã§ã³ã«è¿œå ãããå¿
+èŠã¯ãããŸããïŒèªåçã«ã¡ã¿ããŒã¿ãã€ã³ããŒãããããšããŸãã</Text>
 <Text id="107">å¿
 èŠãªæ
@@ -424,5 +427,6 @@
 <Text id="150">ãã£ã«ã¿ãŒãåé€ããã«ã¯ããªã¹ãããéžæããŠããã£ã«ã¿ãŒãåé€ããããã¯ãªãã¯ããã</Text>
 <Text id="151">ãã£ã«ã¿ãŒãå€æŽããã«ã¯ããªã¹ãããéžæããŠç·šéäž­ã®å¶åŸ¡ã«è¡šç€ºãããå€ãå€æŽããå€æŽãå®è¡ããããã«ããã£ã«ã¿ãŒãå€æŽããããã¯ãªãã¯ããã</Text>
-<Text id="151a">ãã£ã«ã¿ãŒå®çŸ©ã¯ãµãã»ã³ã¬ã¯ã·ã§ã³ãäœæããªãããµãã»ã³ã¬ã¯ã·ã§ã³ã¯ <AutoText key="glidict::CDM.SubcollectionManager.Subindex_Controls"/>ã§ç¹å®ããã</Text>
+<Text id="151a">å®çŸ©ããããã£ã«ã¿ãŒã¯ãµãã»ã³ã¬ã¯ã·ã§ã³ãäœæããŸããããµãã»ã³ã¬ã¯ã·ã§ã³ã¯ ãå®çŸ©ããããã€ã«ã¿ãŒã«ããšã¥ããŠ<AutoText key="glidict::CDM.SubcollectionManager.Subindex_Controls"/>ã¿ãå
+ã§ç¹å®ãããŸãã</Text>
 </Section>
 <Section name="assignpartitions">