Index: main/trunk/greenstone2/macros/japanese.dm
===================================================================
--- main/trunk/greenstone2/macros/japanese.dm	(revision 29823)
+++ main/trunk/greenstone2/macros/japanese.dm	(revision 30019)
@@ -27,4 +27,5 @@
 _textsignin_ [l=ja] {ãµã€ã³ã€ã³}
 
+_texttruncated_ [l=ja] {ïŒ»åé€ãããïŒœ}
 
 _textdefaultcontent_ [l=ja] {èŠæ±ãããããŒãžãèŠã€ããããªãã£ããã°ãªãŒã³ã¹ããŒã³é»å­å³æžé€šãžæ»ãæã¯ãã©ãŠã¶ã®âBackâãã¿ã³ããŸãã¯äžã®âããŒã âãã¿ã³ãã¯ãªãã¯ããŠäžããã}
@@ -215,4 +216,7 @@
 _textgsdocs_ [l=ja] {ã°ãªãŒã³ã¹ããŒã³ãã­ã¥ã¡ã³ããŒã·ã§ã³}
 
+_textdescradmin_ [l=ja] {æ°èŠãŠãŒã¶ãŒã®è¿œå ãèš±å¯ããã·ã¹ãã ã®ã³ã¬ã¯ã·ã§ã³ãæŠæ¬ããã°ãªãŒã³ã¹ããŒã³ã®å°å
+¥ã«ã€ããŠã®æè¡çæ
+å ±ãäŸäžããŸãã}
 
 _textdescrgogreenstone_ [l=ja] {ã°ãªãŒã³ã¹ããŒã³ãå¶äœããããã¥ãŒãžãŒã©ã³ãã®ããžã¿ã«ã©ã€ãã©ãªãŒãã­ãžã§ã¯ãã«ã€ããŠæããŠãã ããã}
@@ -240,4 +244,5 @@
 _textdescrdepositor_ [l=ja] {æ¢å­ã®ã³ã¬ã¯ã·ã§ã³ã«ãã­ã¥ã¡ã³ããè¿œå ãã}
 
+_textdepositorlocal_ [l=ja] {æ°èŠã®ãããžãããéå§ãã}
 package gti
 
@@ -301,4 +306,11 @@
 }
 
+_textcommentusername_ [l=ja] {ãŠãŒã¶ãŒå}
+_textaddusercomment_ [l=ja] {ã³ã¡ã³ããè¿œå ãã}
+_textusercommentlogout_ [l=ja] {ã­ã°ã¢ãŠããã}
+_textaddcomment_ [l=ja] {ã³ã¡ã³ããæç€ºãã}
+_textcommentsubmitted_ [l=ja] {ã³ã¡ã³ããæç€ºãããŸãã}
+_textisempty_ [l=ja] {ã³ã¡ã³ãã¯ç©ºã§ãã}
+_textusercommentssection_ [l=ja] {ã³ã¡ã³ã}
 
 _textgoto_ [l=ja] {ããŒãžã«è¡ã}
@@ -355,4 +367,7 @@
 _textnatural_ [l=ja] {èªç¶ãª}
 _textsortbyrank_ [l=ja] {é¢é£ããéå±€}
+_textsortbynone_ [l=ja] {éå±€ãäœæãã}
+_textascending_ [l=ja] {æé }
+_textdescending_ [l=ja] {éé }
 _texticonsearchhistorybar_ [l=ja] {æ€çŽ¢å±¥æ­Ž}
 
@@ -382,4 +397,7 @@
 _textwordphrase_ [l=ja] {åèª}
 _textinfield_ [l=ja] {... in field}
+_textformcasefold_ [l=ja] {å€§æå­ã»å°æå­ãç¡èŠãã}
+_textformaccentfold_ [l=ja] {ã¢ã¯ã»ã³ããç¡èŠããŸã}
+_textformstem_ [l=ja] {èªå¹¹}
 
 _textadvquery_ [l=ja] {ãŸãã¯ã¯ãšãªãŒçŽæ¥å
@@ -403,4 +421,6 @@
 _textadvancedsearch_ [l=ja] {ãµãŒã in _indexselection__If_(_jselection_, associated with _jselection_)_If_(_gselection_, at _gselection_ level )_If_(_nselection_, in _nselection_ èšèª) using _querytypeselection_ query}
 
+_textadvancedmgppsearch_ [l=ja] {_indexselection__If_(_jselection_, associated with _jselection_)_If_(_gselection_, at _gselection_ level )_If_(_nselection_, in _nselection_ language)ãæ€çŽ¢ãã
+çµæã_formquerytypeadvancedselection_ orderã«è¡šç€ºããŸãã}
 
 _textadvancedlucenesearch_ [l=ja] {ãµãŒã in _indexselection__If_(_jselection_, äŒŽã£ã _jselection_)_If_(_gselection_, at _gselection_ level )_If_(_nselection_, in _nselection_ language)_If_(_sfselection_,\,_allowformbreak_ sorting results by _sfselection_\,) for }