Index: other-projects/nightly-tasks/diffcol/trunk/gs3-model-collect/Tudor-Basic/import/englishhistory.net/tudor/tudorq3.html
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/gs3-model-collect/Tudor-Basic/import/englishhistory.net/tudor/tudorq3.html	(revision 30031)
+++ other-projects/nightly-tasks/diffcol/trunk/gs3-model-collect/Tudor-Basic/import/englishhistory.net/tudor/tudorq3.html	(revision 30032)
@@ -256,20 +256,4 @@
 
         <TBODY>
-
-        <TR>
-
-          <TD>
-
-            <CENTER><!-- spacing row, 0 height. --></CENTER></TD>
-
-          <TD><IMG height=1 src="tudorq3.html" width=68></TD>
-
-          <TD><IMG height=1 src="tudorq3.html" width=102></TD>
-
-          <TD><IMG height=1 src="tudorq3.html" width=104></TD>
-
-          <TD><IMG height=1 src="tudorq3.html" width=122></TD>
-
-          <TD><IMG height=1 src="tudorq3.html" width=95></TD></TR>
 
         <TR>
Index: other-projects/nightly-tasks/diffcol/trunk/gs3-model-collect/Tudor-Enhanced/import/englishhistory.net/tudor/tudorq3.html
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/gs3-model-collect/Tudor-Enhanced/import/englishhistory.net/tudor/tudorq3.html	(revision 30031)
+++ other-projects/nightly-tasks/diffcol/trunk/gs3-model-collect/Tudor-Enhanced/import/englishhistory.net/tudor/tudorq3.html	(revision 30032)
@@ -256,20 +256,4 @@
 
         <TBODY>
-
-        <TR>
-
-          <TD>
-
-            <CENTER><!-- spacing row, 0 height. --></CENTER></TD>
-
-          <TD><IMG height=1 src="tudorq3.html" width=68></TD>
-
-          <TD><IMG height=1 src="tudorq3.html" width=102></TD>
-
-          <TD><IMG height=1 src="tudorq3.html" width=104></TD>
-
-          <TD><IMG height=1 src="tudorq3.html" width=122></TD>
-
-          <TD><IMG height=1 src="tudorq3.html" width=95></TD></TR>
 
         <TR>
Index: other-projects/nightly-tasks/diffcol/trunk/gs3-model-collect/Tudor-Enhanced2/import/englishhistory.net/tudor/tudorq3.html
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/gs3-model-collect/Tudor-Enhanced2/import/englishhistory.net/tudor/tudorq3.html	(revision 30031)
+++ other-projects/nightly-tasks/diffcol/trunk/gs3-model-collect/Tudor-Enhanced2/import/englishhistory.net/tudor/tudorq3.html	(revision 30032)
@@ -256,20 +256,4 @@
 
         <TBODY>
-
-        <TR>
-
-          <TD>
-
-            <CENTER><!-- spacing row, 0 height. --></CENTER></TD>
-
-          <TD><IMG height=1 src="tudorq3.html" width=68></TD>
-
-          <TD><IMG height=1 src="tudorq3.html" width=102></TD>
-
-          <TD><IMG height=1 src="tudorq3.html" width=104></TD>
-
-          <TD><IMG height=1 src="tudorq3.html" width=122></TD>
-
-          <TD><IMG height=1 src="tudorq3.html" width=95></TD></TR>
 
         <TR>
Index: other-projects/nightly-tasks/diffcol/trunk/gs3-model-collect/Tudor-Formatted/import/englishhistory.net/tudor/tudorq3.html
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/gs3-model-collect/Tudor-Formatted/import/englishhistory.net/tudor/tudorq3.html	(revision 30031)
+++ other-projects/nightly-tasks/diffcol/trunk/gs3-model-collect/Tudor-Formatted/import/englishhistory.net/tudor/tudorq3.html	(revision 30032)
@@ -256,20 +256,4 @@
 
         <TBODY>
-
-        <TR>
-
-          <TD>
-
-            <CENTER><!-- spacing row, 0 height. --></CENTER></TD>
-
-          <TD><IMG height=1 src="tudorq3.html" width=68></TD>
-
-          <TD><IMG height=1 src="tudorq3.html" width=102></TD>
-
-          <TD><IMG height=1 src="tudorq3.html" width=104></TD>
-
-          <TD><IMG height=1 src="tudorq3.html" width=122></TD>
-
-          <TD><IMG height=1 src="tudorq3.html" width=95></TD></TR>
 
         <TR>
Index: other-projects/nightly-tasks/diffcol/trunk/gs3-model-collect/Web-Tudor/import/englishhistory.net/tudor/tudorq3.html
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/gs3-model-collect/Web-Tudor/import/englishhistory.net/tudor/tudorq3.html	(revision 30031)
+++ other-projects/nightly-tasks/diffcol/trunk/gs3-model-collect/Web-Tudor/import/englishhistory.net/tudor/tudorq3.html	(revision 30032)
@@ -256,20 +256,4 @@
 
         <TBODY>
-
-        <TR>
-
-          <TD>
-
-            <CENTER><!-- spacing row, 0 height. --></CENTER></TD>
-
-          <TD><IMG height=1 src="tudorq3.html" width=68></TD>
-
-          <TD><IMG height=1 src="tudorq3.html" width=102></TD>
-
-          <TD><IMG height=1 src="tudorq3.html" width=104></TD>
-
-          <TD><IMG height=1 src="tudorq3.html" width=122></TD>
-
-          <TD><IMG height=1 src="tudorq3.html" width=95></TD></TR>
 
         <TR>